function residualVector = calibrateLMParameters(x)

global  ggamma etaPSS muuSS...
        nSS RSS PiSS rkSS aalpha 

fSS = x(1);
rhox = x(2);
wSS = x(3);
kkappa = x(4);
MMBar = x(5);



mcSS = 1/(1+etaPSS);
kSS = (rkSS/(aalpha*mcSS))^(1/(aalpha-1)) * nSS;

residualVector(1) = (rhox*nSS/(1-nSS+rhox*nSS)) - fSS; 
residualVector(2) = fSS - 0.78;  

% target for kappa

lambdaSS = MMBar^(1/(1-ggamma))*fSS^(-ggamma/(1-ggamma));

residualVector(3) = kkappa/lambdaSS - 0.045 * wSS;

residualVector(4) = (1-(muuSS/(RSS/PiSS))*(1-rhox))* kkappa/lambdaSS -(mcSS*(1-aalpha)*(kSS/nSS)^aalpha - wSS);

% target for match efficiency

residualVector(5) = lambdaSS - 0.71; % job filling rate Den Haan et al.(2000)

