// Declare variables for HANKDynamics.mod

//----------------------------------------------------------------
// Conditional expectation coefficients
//----------------------------------------------------------------

@#for iEpsilon in 1 : nEpsilon
    @#for iPower in 1 : nAssets
        var expectationCoefficient_@{iEpsilon}_@{iPower};
    @#endfor
@#endfor

//----------------------------------------------------------------
// Density of households away from borrowing constraint
//----------------------------------------------------------------

// Moments of the distribution
@#for iEpsilon in 1 : nEpsilon
    @#for iMoment in 1 : nMeasure
        var moment_@{iEpsilon}_@{iMoment};
    @#endfor
@#endfor

// Parameters of the distribution
@#for iEpsilon in 1 : nEpsilon
    @#for iParameter in 1 : nMeasure
        var measureCoefficient_@{iEpsilon}_@{iParameter};  
    @#endfor
@#endfor

// Consumption moments
@#for iEpsilon in 1 : nEpsilon
    var momentC_@{iEpsilon}_1;
@#endfor

//----------------------------------------------------------------
// Mass at borrowing constraint
//----------------------------------------------------------------

@#for iEpsilon in 1 : nEpsilon
    var mHat_@{iEpsilon};
@#endfor

//----------------------------------------------------------------
// Epsilon transition matrix
//----------------------------------------------------------------

@#for iEpsilon in 1 : nEpsilon
	@#for iEpsilonPrime in 1 : nEpsilon
		var epsilonTransition_@{iEpsilon}_@{iEpsilonPrime};
	@#endfor
@#endfor

//----------------------------------------------------------------
// Mass of idiosyncratic shocks
//----------------------------------------------------------------

@#for iEpsilon in 1 : nEpsilon
    var epsilonMass_@{iEpsilon};
@#endfor

//----------------------------------------------------------------
// Quantities
//----------------------------------------------------------------

var c cL cH inv k uk d y x u ua n theta lambda f v rhox bg g; 
  
 
//----------------------------------------------------------------
// Prices
//----------------------------------------------------------------

var R Pi pStar h1P h2P DeltaP mc rk q w ttau; 

//----------------------------------------------------------------
// Aggregate shocks
//----------------------------------------------------------------

var etaP muu upsilon A zeta PiStar rhoxtilde gtilde;

//----------------------------------------------------------------
// Auxiliary variables we're interested in
//----------------------------------------------------------------

var xHat cHat cLHat cHHat invHat nHat PiHat vHat;

//----------------------------------------------------------------
// Observables
//----------------------------------------------------------------

var obsgX obsgC obsgI obsgG obsF obsS obsgWE obsPi obsFF obsU;

//----------------------------------------------------------------
// Shocks
//----------------------------------------------------------------

varexo epsetaP epsmuu epsupsilon epsTFP epsR epszeta epsrhox  epsg epsW;